
//GoodsAttrVO - 主属性 Response VO
export interface GoodsAttrVO {
    //属性名称_中文,最大长度50
    attrNameCn?: string;
    //属性名称_英文,最大长度50
    attrNameEn: string;
    //状态 (1: 正常使用, 2: 停止使用)
    attrStatus: string;
    createTime?: Date;
    id?: number;
}

//GoodsAttrValVO - 主属性值 Response VO
export interface GoodsAttrValVO {
    attrId: number;
    createTime: Date;
    id: number;
    //属性值中文名称,最大长度100
    valNameCn?: string;
    //属性值英文名称,最大长度100
    valNameEn: string;
}



export interface GoodsAttrPageReqVO extends PageParam {
    //属性名称_中文
    attrNameCn?: string;
    //属性名称_英文
    attrNameEn?: string;
    //状态 (1: 正常使用, 2: 停止使用)
    attrStatus?: string;
    //创建时间
    createTime?: string[];
}

export interface AttrAndAttrValByParam {
    /**
     * 属性Id
     */
    attrId: number;
    /**
     * 属性名称(中/英)
     */
    attrName: string;
}

export interface AttrValNameEnVerifyParam {
    /**
     * 属性Id
     */
    attrId: number;
    /**
     * 属性值英文名称
     */
    valNameEn: string;
}
