export * from './user.data.ts'
export * from './product.data.ts'
export * from './role.data.ts'
export * from './position.data.ts'
export * from './department.data.ts'
export * from './tenant.data.ts'
export * from './template.data.ts'
export * from './platform-product.data.ts'
export * from './system-dict.data.ts'
export * from './error-code.data.ts'
export * from './redis.data.ts'
export * from './api-log.data.ts'
export * from './oauth2.data.ts'
export * from './platform.data.ts'
export * from './category.data.ts'
export * from './material-classify.data.ts'
export * from './goods-classify.data.ts'
export * from './goods-attr.data.ts'
export * from './platform-template.data.ts'

export interface ResponseDTO<T>{
    code: number;
    msg: string;
    data: T
}

export interface PageData<T> {
    list: T[];
    total: number;
}


export interface Announcement {
    id: number,
    name: string,
    detail: string,
    expiryTime: string,
    roleId: number,
    flag: number,
    createTime: string,
    createOperId: number,
    top: number
}
